Bug 35595 - Missing the `autoVerify` property for intent filters.
Summary: Missing the `autoVerify` property for intent filters.
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: General (show other bugs)
Version: 6.0.0
Hardware: PC Mac OS
: --- minor
Target Milestone: 6.1 (C7)
Assignee: Atsushi Eno
URL:
Depends on:
Blocks:
 
Reported: 2015-11-05 16:32 UTC by Tom Opgenorth
Modified: 2016-01-12 18:49 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Tom Opgenorth 2015-11-05 16:32:17 UTC
Android 6.0 introduces support for app-linking. Part of this requires setting the `android:autoVerify` property on an intent filter, for example:

<intent-filter android:autoVerify="true">
	 <action android:name="android.intent.action.VIEW" />
	 <category android:name="android.intent.category.DEFAULT" />
	 <category android:name="android.intent.category.BROWSABLE" />
	 <data android:scheme="http" android:host="www.android.com" />
	 <data android:scheme="https" android:host="www.android.com" />
</intent-filter>


To read about this property, please see Google's app-linking guide, specifically the section on "Enabling automatic verification":


http://developer.android.com/training/app-links/index.html
Comment 1 Atsushi Eno 2015-11-09 02:33:00 UTC
Done. Basically anything that is NOT documented on developer.android.com [*1] will not be added until notified like this. Thanks.

[*1] https://developer.android.com/guide/topics/manifest/intent-filter-element.html

[master c54a5ce]